package com.sjyt.icom.asst.common.event;

import com.sjyt.icom.asst.common.model.message.VerifyClaims;

/**
 * <p>Srs回调事件</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/23 8:48
 */
public class SrsCallBackEvent extends BaseEvent{
    private String serverId;
    private String action;
    private String clientId;
    private String ip;
    private String vhost;
    private String app;
    private String stream;
    private String param;
    private String tcUrl;
    private String pageUrl;
    /**
     * 发送字节数
     */
    private long sendBytes;
    /**
     * 接收字节数
     */
    private long recvBytes;

    //以下为转化属性
    private int eventType;

    private String appName;
    private String token;

    private VerifyClaims claims;



    public SrsCallBackEvent(Object source) {
        super(source);
    }

    public int getEventType() {
        return eventType;
    }

    public void setEventType(int eventType) {
        this.eventType = eventType;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getVhost() {
        return vhost;
    }

    public void setVhost(String vhost) {
        this.vhost = vhost;
    }

    public String getApp() {
        return app;
    }

    public void setApp(String app) {
        this.app = app;
    }

    public String getStream() {
        return stream;
    }

    public void setStream(String stream) {
        this.stream = stream;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getTcUrl() {
        return tcUrl;
    }

    public void setTcUrl(String tcUrl) {
        this.tcUrl = tcUrl;
    }

    public String getPageUrl() {
        return pageUrl;
    }

    public void setPageUrl(String pageUrl) {
        this.pageUrl = pageUrl;
    }

    public long getSendBytes() {
        return sendBytes;
    }

    public void setSendBytes(long sendBytes) {
        this.sendBytes = sendBytes;
    }

    public long getRecvBytes() {
        return recvBytes;
    }

    public void setRecvBytes(long recvBytes) {
        this.recvBytes = recvBytes;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public VerifyClaims getClaims() {
        return claims;
    }

    public void setClaims(VerifyClaims claims) {
        this.claims = claims;
    }
}
